import 'package:json_annotation/json_annotation.dart';

// dart run build_runner build --delete-conflicting-outputs

part 'house_dto_json.dart';


@JsonSerializable(createToJson: false)
class HousesDto {
  final List<HouseDataDto>? data;

  const HousesDto({this.data});

  factory HousesDto.fromJson(Map<String, dynamic> json) => _$HousesDtoFromJson(json);
}

@JsonSerializable(createToJson: false)
class HouseDataDto {
  final String? id;
  final HouseAttributesDataDto? attributes;

  const HouseDataDto(this.id, this.attributes);

  factory HouseDataDto.fromJson(Map<String, dynamic> json) => _$HouseDataDtoFromJson(json);
}

@JsonSerializable(createToJson: false)
class HouseAttributesDataDto {
  final String? name;
  final String? location;
  final String? image;
  final String? description;

  HouseAttributesDataDto(this.name, this.location, this.image, this.description);

  factory HouseAttributesDataDto.fromJson(Map<String, dynamic> json) => _$HouseAttributesDataDtoFromJson(json);
}
